glyfy=znaky.txt                    # Pomocný soubor.
glyfydoc=znakydocasne.txt
echo -e "A\nB\nC\nD\nE\nF" >$glyfy # Pracovní sada.
# RANDOM=100 # seed
tahusop=15
tahubez=7
pocet=$(cat $glyfy | sed -n '$=')  # Počet řádků.
if [ $pocet -lt $tahubez ]; then
echo -e "Opravuji počet tahů bez navracení na $pocet.\n"
let tahubez=$pocet
fi	

function volba {
let "vyber=$RANDOM % $pocet + 1"   # Jedna až počet řádků.
radek=$(cat $glyfy | sed -n "$vyber p") # Vypiš řádek.
echo $i. volba: $vyber je $radek
}

# Výběr s navracením.
for i in $(seq 1 1 15); do
volba	
done # Konec for cyklu.

# Výběr bez navracení.
for i in $(seq 1 1 5); do
volba
cat $glyfy | sed "/$radek/d" >$glyfydoc
cp $glyfydoc $glyfy
cat $glyfy; echo
let pocet=$pocet-1
done

rm -f $glyfy $glygydoc

